--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		setTextColor(1,0.847,0,1);
		renderText(0.78, 0.29, 0.022, InputBinding.getKeyNamesOfDigitalAction(InputBinding.TOGGLE_SHOW_HELP)..": Info Ein");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.78, 0.29, 0.022, InputBinding.getKeyNamesOfDigitalAction(InputBinding.TOGGLE_SHOW_HELP)..": Info Aus");
		renderText(0.76, 0.71, 0.023, "- Ural 4320 Info -");
		renderText(0.76, 0.65, 0.018, InputBinding.getKeyNamesOfDigitalAction(InputBinding.TOGGLE_LIGHTS)..": Licht");
		renderText(0.76, 0.63, 0.018, InputBinding.getKeyNamesOfDigitalAction(InputBinding.worklights)..": Arbeitslicht");
		renderText(0.76, 0.61, 0.018, InputBinding.getKeyNamesOfDigitalAction(InputBinding.backwork)..": Such-Scheinwerfer");
		renderText(0.76, 0.59, 0.018, InputBinding.getKeyNamesOfDigitalAction(InputBinding.CabinLight)..": Kabinenlicht");
		--renderText(0.76, 0.57, 0.018, "");
		renderText(0.76, 0.55, 0.018, InputBinding.getKeyNamesOfDigitalAction(InputBinding.doorL)..": Tuer Links oeffnen");
		renderText(0.76, 0.53, 0.018, InputBinding.getKeyNamesOfDigitalAction(InputBinding.doorR)..": Tuer Rechts oeffnen");
		renderText(0.76, 0.51, 0.018, InputBinding.getKeyNamesOfDigitalAction(InputBinding.motorhaube)..": Motorhaube oeffnen");
		renderText(0.76, 0.49, 0.018, "Taste Numpad /: Hoch Schalten");
		renderText(0.76, 0.47, 0.018, "Taste Numpad *: Runter Schalten");
		renderText(0.76, 0.45, 0.018, "Taste K: SuchLicht Links schwenken");
		renderText(0.76, 0.43, 0.018, "Taste L: SuchLicht Rechts schwenken");
		--renderText(0.76, 0.41, 0.018, "");
		renderText(0.76, 0.39, 0.018, InputBinding.getKeyNamesOfDigitalAction(InputBinding.BEL3LEFT)..": Blinker links");
		renderText(0.76, 0.37, 0.018, InputBinding.getKeyNamesOfDigitalAction(InputBinding.BEL3WARN)..": Warnblinker");
		renderText(0.76, 0.35, 0.018, InputBinding.getKeyNamesOfDigitalAction(InputBinding.BEL3RIGHT)..": Blinker rechts");
		renderText(0.76, 0.33, 0.018, InputBinding.getKeyNamesOfDigitalAction(InputBinding.MANUAL_IGNITION_KEY)..": Motor Starten");
		--renderText(0.76, 0.49, 0.018, "");  
	end;
end;  

function ShowHelp:onLeave()
	self.showHelp = false;
end;




